%define name    netatalk
%define version 1.5pre6
%define release 3tr

Summary: Appletalk and Appleshare/IP services for Linux
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD
Group: Network/Services
Source0: http://prdownloads.sourceforge.net/netatalk/%{name}-%{version}.tar.bz2
Source1: rc.atalk.trustix
Patch0: netatalk-1.6.4-tempfile.patch
URL: http://netatalk.sourceforge.net/
Requires: cracklib, openssl, tcp_wrappers, pam, tsl-utils
BuildRequires: openssl-devel
Prefix:    %{_prefix}
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

%package devel
Group: Libraries/Development
Summary: Appletalk and Appleshare/IP services for Linux development files
%description devel
netatalk is an implementation of the AppleTalk Protocol Suite for Unix/Linux
systems. The current release contains support for Ethertalk Phase I and II,
DDP, RTMP, NBP, ZIP, AEP, ATP, PAP, ASP, and AFP. It provides Appletalk file
printing and routing services on Solaris 2.5, Linux, FreeBSD, SunOS 4.1 and
Ultrix 4. It also supports AFP 2.1 and 2.2 (Appleshare IP).

This package is required for developing appletalk-based applications.

%prep
%setup -q 
%patch0 -p1

%build
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS -fomit-frame-pointer -fsigned-char" ./configure \
	--prefix=%{prefix} \
	--with-cracklib \
	--with-pam \
	--sysconfdir=/etc/atalk \
	--with-tcp-wrappers \
	--with-flock-locks \
	--mandir=%{_mandir} \
	--with-ssl
make CONFIG_DIR=/etc/atalk UAMS_PATH=/etc/atalk/uams all

%install
rm -rf $RPM_BUILD_ROOT
### INSTALL (USING "make install") ###
mkdir -p $RPM_BUILD_ROOT/{usr,etc/atalk/uams}
make DESTDIR=$RPM_BUILD_ROOT CONFIG_DIR=/etc/atalk UAMS_PATH=/etc/atalk/uams install

# HACK HACK HACK HACK !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# manually install headers
#mkdir -p $RPM_BUILD_ROOT/usr/include/{netatalk,atalk}/
#install -m 644 -o 0 -g 0  include/atalk/*.h \
#  $RPM_BUILD_ROOT/usr/include/atalk/
#install -m 644 -o 0 -g 0  sys/netatalk/*.h \
#  $RPM_BUILD_ROOT/usr/include/netatalk/

# install /etc/rc.d/init.d/atalk
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 755 -o 0 -g 0  $RPM_SOURCE_DIR/rc.atalk.trustix \
  $RPM_BUILD_ROOT/etc/rc.d/init.d/atalk

# make NLS
( \
  mkdir -p $RPM_BUILD_ROOT/etc/atalk/nls/; \
  cd $RPM_BUILD_ROOT/etc/atalk/nls;        \
  $RPM_BUILD_ROOT/usr/bin/makecode \
)

# install pam file
mkdir -p $RPM_BUILD_ROOT/etc/pam.d/
install -m 644 -o 0 -g 0  config/netatalk.pamd \
  $RPM_BUILD_ROOT/etc/pam.d/netatalk

# For some reason, this is hardcoded
mkdir -p $RPM_BUILD_ROOT/etc/atalk/uams
mv $RPM_BUILD_ROOT/usr/etc/uams/* $RPM_BUILD_ROOT/etc/atalk/uams

%pre
service atalk stop 2> /dev/null > /dev/null || :

%post
/sbin/chkconfig --add atalk
/sbin/ldconfig
/sbin/restart_maybe atalk

%preun
if [ $1 = 0 ]; then
	service atalk stop 2> /dev/null > /dev/null || :
	/sbin/chkconfig --del atalk
fi

%clean
### rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS CHANGES CONTRIBUTORS COPYRIGHT ChangeLog NEWS README* TODO
%doc VERSION doc/README* doc/FAQ doc/INSTALL.txt
%config /etc/atalk/Apple*
%config /etc/atalk/*.conf
%config /etc/pam.d/netatalk
/etc/atalk/nls/*
/etc/atalk/uams/*.so
/etc/rc.d/init.d/atalk
%dir /etc/atalk
%dir /etc/atalk/nls
%dir /etc/atalk/uams
%{prefix}/bin/*
%{prefix}/sbin/*
%{_mandir}/man*/*

%files devel
%defattr(-,root,root)
%{prefix}/lib/*.a
%dir %{prefix}/include/atalk
%{prefix}/include/atalk/*.h
%dir %{prefix}/include/netatalk
%{prefix}/include/netatalk/aarp.h
%{prefix}/include/netatalk/at_var.h
%{prefix}/include/netatalk/ddp*.h
%{prefix}/include/netatalk/endian.h
%{prefix}/include/netatalk/phase2.h
%{prefix}/share/aclocal/netatalk.m4

%changelog
* Tue Sep 28 2004 Oystein Viggen <oysteivi at trustix dot com>
- Patch tempfile issue

* Wed Sep 26 2001 Erlend Midttun <erlendbm@trustix.com>
- Moving the shared object files.

* Thu Aug 23 2001 Erlend Midttun <erlendbm@trustix.com>
- New upstream version

* Wed Jun 13 2001 Oystein Viggen <oysteivi@trustix.com>
- Fix build problems with newer strip

* Tue Mar 13 2001 Alexander Reelsen <ar@trustix.com>
- Picked up 1.5pre5

* Thu Jan 09 2001 Olaf Trygve Berglihn <olafb@trustix.com>
- Removed dependency on pam-devel and cracklib-devel, as these are
  included in the main packages in TSL.
- Fixed initscript to comply with TSL standards.
- Removed additions to /etc/services as the TSL /etc/services already
  has the necessary entries.
- Added conditional restart with /sbin/restart_maybe.

* Wed Nov 08 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.4.99-0.20001108mdk
  - pre-release for sourceforge

* Wed Sep 27 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v1.4.99-0.20000927mdk
  - pre-release for sourceforge
